﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWpf
{
    public class ViewModel
    {
        public ObservableCollection<Appointment> Appointments { get; set; }
        public ICommand VisibleRangeChanged { get; set; }
        public ViewModel()
        {
            this.Appointments = new ObservableCollection<Appointment>();
            this.VisibleRangeChanged = new DelegateCommand(this.VisibleRangeExecuted, this.CanVisibleRangeCanExecuted);
        }

        private bool CanVisibleRangeCanExecuted(object param)
        {
            return param != null;
        }

        private void VisibleRangeExecuted(object param)
        {
            // param is the value of the VisibleRange property. It is used to get the appointments only for the visual range.
            this.LoadAppointmentsByRange(param as DateSpan);
        }
        private void LoadAppointmentsByRange(DateSpan dateSpan)
        {
            // implement the custom logic here
        }
    }
}
